#ifndef __COMMON_H_
#define __COMMON_H_

#include <string>
#include <vector>

struct Token
{
  std::string str;
  std::string base;
  std::string pos;
  std::string chunk;
  std::string gold;
  Token(const std::string & s, const std::string & p, const std::string & g) : str(s), pos(p), gold(g) {}
};

typedef std::vector<Token> Sentence;


#endif
